Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
actions
/
records
/
{id}
Get an action record
curl --request GET \
  --url https://api.arklow.io/v1/orgs/{org_id}/actions/records/{id} \
  --header 'x-arklow-auth: <api-key>'
{
  "data": {
    "id": "<string>",
    "org_id": "<string>",
    "action_definition_id": "<string>",
    "input": "<unknown>",
    "timeout": 123,
    "tags": {},
    "state": {
      "status": "<string>",
      "attempt": 123,
      "updated_at": "2023-11-07T05:31:56Z",
      "available_at": "2023-11-07T05:31:56Z",
      "timeout_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "error_message": "<string>"
    },
    "definition": {
      "id": "<string>",
      "org_id": "<string>",
      "variant": "<string>",
      "version": 123,
      "alias": [
        "<string>"
      ],
      "schema": "<unknown>",
      "deleted_at": "2023-11-07T05:31:56Z",
      "destinations": [
        {
          "id": "<string>",
          "action_definition_id": "<string>",
          "destination_id": "<string>",
          "org_id": "<string>",
          "is_default": true,
          "destination": {
            "id": "<string>",
            "org_id": "<string>",
            "updated_at": "2023-11-07T05:31:56Z",
            "label": "<string>",
            "type": "webhook",
            "config": {
              "url": "<string>",
              "headers": {},
              "signaling": {
                "enabled": true,
                "default": "ack"
              },
              "response_time_sla_ms": 2
            },
            "deleted_at": "2023-11-07T05:31:56Z",
            "tags": {},
            "credential_id": "<string>"
          }
        }
      ]
    },
    "events": [
      {
        "id": "<string>",
        "action_record_id": "<string>",
        "org_id": "<string>",
        "kind": "<string>",
        "status": "<string>",
        "attempt": 123,
        "available_at": "2023-11-07T05:31:56Z",
        "timeout_at": "2023-11-07T05:31:56Z",
        "message": "<string>",
        "data": "<unknown>"
      }
    ]
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

x-arklow-auth
string
header
required

Path Parameters

org_id
string
required
Pattern: ^[0-9]+$
id
string
required
Pattern: ^[0-9]+$

Response

200 - application/json

Default Response

data
object
required
errors
object[] | null
required